Error message 'Could not verify session id' on QNAP when accepting HTTPS/TLS 1.3 only

I am using a QNAP TS-563 running the latest QTS Version 5.0.0.1858 and installed the Roon Server app V2021-10-03 from the AppCenter.

When the NAS is configured to accept connections via HTTPS with TLS 1.3 only, the web UI for configuring the app will show the error message ‘Could not verify session id’. Only when allowing access with TLS 1.2 and up the web UI will show up.

@crieke is aware of it. May be in the near future he has a solution for it I guess.

Did we have a solution yet? my primary motivation for upgrading to QNAP v5x was 1.3 TLS support.

I didn’t test this out so far. Unfortunately I can’t do it for you in the next 2 weeks. Maybe @crieke can help. Please let me know if it works best BR

@malla do you have more information yet? Please share.

Last time I checked it didn’t work on TLS1.3. I decided to remove Roon from my QNAP nas in the end and purchase a Nucleus+. Too many weird issues running on the QNAP system, including all those random permission issues with share folders etc.

Thank you for the information. I have running roon since more than a year now on a QTS 873 without any problems so far.

This is a known issue of the QNAP QTS 5.0 OS AFAIK.

It seems, the Roon Server web UI is not able to connect to the QNAP to verify its session id. There are several checks in the UI, that have been implemented for security purpose.
I have already looked into this, but could also not establish a connection from the web interface to the QNAP by using the localhost ip (127.0.0.1).

My guess is, it relates to the “Known Issues” in the QTS firmware release notes:

Some applications cannot access the NAS when secure connection and TLS 1.3 are enabled. This is due to a known issue in the applications. We will fix this issue in upcoming app releases.

3 Likes